###############################################################################
###############################################################################
##
##  Copyright (C) 2004-2005 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

Name: cmirror
Version: 1.0.2
Release: 1%{?dist}
License: GPL
Group: System Environment/Base
Summary: cmirror - The Cluster Mirror Package
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
ExclusiveArch: i386 x86_64 ia64 ppc64
Source0: cmirror
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
cmirror - Cluster Mirroring

%prep
%setup -c -T
cp $RPM_SOURCE_DIR/cmirror .

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p -m755 $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 cmirror $RPM_BUILD_ROOT/etc/rc.d/init.d/

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add cmirror

%preun
if [ "$1" = 0 ]; then
	/sbin/chkconfig --del cmirror
fi

%files
%defattr(-,root,root)
%config /etc/rc.d/init.d/cmirror


%changelog
* Wed Feb 25 2009 Chris Feist <cfeist@redhat.com>
- Init script now responds appropriately when status is requested.
- Resolves: rhbz#485801

* Tue Jan 30 2007 Chris Feist <cfeist@redhat.com>
- Build for ppc64

* Fri Jul 07 2006 Chris Feist <cfeist@redhat.com>
- Updated cmirror init script

* Thu Feb 16 2006 Chris Feist <cfeist@redhat.com>
- Initial build for cmirror user space package
